org.apache.tomcat.util.buf

## Class StringCache.ByteEntry

- java.lang.Object
- - org.apache.tomcat.util.buf.StringCache.ByteEntry

Enclosing class:
  StringCache

    public static class StringCache.ByteEntry
    extends Object

### Field Summary

Fields
`Charset` `charset`
`byte[]` `name`
`String` `value`

### Constructor Summary

Constructors
Constructor and Description
`StringCache.ByteEntry()`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public byte[] name

#### charset

    public Charset charset

#### value

    public String value

### Constructor Detail

#### StringCache.ByteEntry

    public StringCache.ByteEntry()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`